BSON_JSON_READER_NEW(3)

NAME
bson_json_reader_new - bson_json_reader_new()

SYNOPSIS

bson_json_reader_t *
bson_json_reader_new (void *data,
                      bson_json_reader_cb cb,
                      bson_json_destroy_cb dcb,
                      bool allow_multiple,
                      size_t buf_size);

PARAMETERS

•   data: A user-defined pointer.

•   cb: A bson_json_reader_cb.

•   dcb: A bson_json_destroy_cb.

•   allow_multiple: Unused.

•   buf_size: A size_t containing the requested internal buffer size.

DESCRIPTION

Creates a new bson_json_reader_t that can read from an arbitrary data source in a streaming fashion.

The allow_multiple parameter is unused.

RETURNS

A newly allocated bson_json_reader_t that should be freed with bson_json_reader_destroy().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc